package czerwony.kapturek.jbspell.ispell;

import com.borland.primetime.properties.*;

public class Settings implements PropertyGroup
{
    public final static Object  TOPIC = new Object();
    public final static String  CATEGORY = "czerwony.kapturek.jbspell.ispell";

    public final static GlobalBooleanProperty   option_P = new GlobalBooleanProperty(CATEGORY, "option_P", false);
    public final static GlobalBooleanProperty   option_B = new GlobalBooleanProperty(CATEGORY, "option_B", false);
    public final static GlobalBooleanProperty   option_m = new GlobalBooleanProperty(CATEGORY, "option_m", false);
    public final static GlobalBooleanProperty   option_C = new GlobalBooleanProperty(CATEGORY, "option_C", false);
    public final static GlobalBooleanProperty   option_S = new GlobalBooleanProperty(CATEGORY, "option_S", false);

    public final static GlobalBooleanProperty   useAltDict = new GlobalBooleanProperty(CATEGORY, "useAltDict", false);
    public final static GlobalBooleanProperty   useAltPersonalDict = new GlobalBooleanProperty(CATEGORY, "useAltPersonalDict", false);
    public final static GlobalProperty  altPersonalDict = new GlobalProperty(CATEGORY, "altPersonalDict", "");
    public final static GlobalProperty  altDict = new GlobalProperty(CATEGORY, "altDict", "");
    public final static GlobalProperty  executablePath = new GlobalProperty(CATEGORY, "executablePath", "ispell");

    static boolean  restartISpell = true;

    public Settings()
    {
    }


    public void initializeProperties()
    {
    }


    public PropertyPageFactory getPageFactory(Object topic)
    {
        PropertyPageFactory factory;
        if (topic == TOPIC)
        {
            factory = new ISpellFactory();
        }
        else
        {
            factory = null;
        }
        return factory;
    }


    public class ISpellFactory extends PropertyPageFactory
    {
        public ISpellFactory()
        {
            super(" ispell Settings ");
        }

        public PropertyPage createPropertyPage()
        {
            return new ConfigPanel();
        }
    }
}